Package ghidra.rmi.trace

# Class TraceRmi.ValDesc.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<TraceRmi.ValDesc.Builder>
com.google.protobuf.GeneratedMessage.Builder<TraceRmi.ValDesc.Builder>
ghidra.rmi.trace.TraceRmi.ValDesc.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `TraceRmi.ValDescOrBuilder`, `Cloneable`

Enclosing class:
  `TraceRmi.ValDesc`

public static final class TraceRmi.ValDesc.Builder extends com.google.protobuf.GeneratedMessage.Builder<TraceRmi.ValDesc.Builder> implements TraceRmi.ValDescOrBuilder
Protobuf type `ghidra.rmi.trace.ValDesc`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TraceRmi.ValDesc`
  `build()`
  `TraceRmi.ValDesc`
  `buildPartial()`
  `TraceRmi.ValDesc.Builder`
  `clear()`
  `TraceRmi.ValDesc.Builder`
  `clearKey()`
  `string key = 3;`
  `TraceRmi.ValDesc.Builder`
  `clearParent()`
  `.ghidra.rmi.trace.ObjDesc parent = 1;`
  `TraceRmi.ValDesc.Builder`
  `clearSpan()`
  `.ghidra.rmi.trace.Span span = 2;`
  `TraceRmi.ValDesc.Builder`
  `clearValue()`
  `.ghidra.rmi.trace.Value value = 4;`
  `TraceRmi.ValDesc`
  `getDefaultInstanceForType()`
  `static final com.google.protobuf.Descriptors.Descriptor`
  `getDescriptor()`
  `com.google.protobuf.Descriptors.Descriptor`
  `getDescriptorForType()`
  `String`
  `getKey()`
  `string key = 3;`
  `com.google.protobuf.ByteString`
  `getKeyBytes()`
  `string key = 3;`
  `TraceRmi.ObjDesc`
  `getParent()`
  `.ghidra.rmi.trace.ObjDesc parent = 1;`
  `TraceRmi.ObjDesc.Builder`
  `getParentBuilder()`
  `.ghidra.rmi.trace.ObjDesc parent = 1;`
  `TraceRmi.ObjDescOrBuilder`
  `getParentOrBuilder()`
  `.ghidra.rmi.trace.ObjDesc parent = 1;`
  `TraceRmi.Span`
  `getSpan()`
  `.ghidra.rmi.trace.Span span = 2;`
  `TraceRmi.Span.Builder`
  `getSpanBuilder()`
  `.ghidra.rmi.trace.Span span = 2;`
  `TraceRmi.SpanOrBuilder`
  `getSpanOrBuilder()`
  `.ghidra.rmi.trace.Span span = 2;`
  `TraceRmi.Value`
  `getValue()`
  `.ghidra.rmi.trace.Value value = 4;`
  `TraceRmi.Value.Builder`
  `getValueBuilder()`
  `.ghidra.rmi.trace.Value value = 4;`
  `TraceRmi.ValueOrBuilder`
  `getValueOrBuilder()`
  `.ghidra.rmi.trace.Value value = 4;`
  `boolean`
  `hasParent()`
  `.ghidra.rmi.trace.ObjDesc parent = 1;`
  `boolean`
  `hasSpan()`
  `.ghidra.rmi.trace.Span span = 2;`
  `boolean`
  `hasValue()`
  `.ghidra.rmi.trace.Value value = 4;`
  `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable`
  `internalGetFieldAccessorTable()`
  `final boolean`
  `isInitialized()`
  `TraceRmi.ValDesc.Builder`
  `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
  `TraceRmi.ValDesc.Builder`
  `mergeFrom(com.google.protobuf.Message other)`
  `TraceRmi.ValDesc.Builder`
  `mergeFrom(TraceRmi.ValDesc other)`
  `TraceRmi.ValDesc.Builder`
  `mergeParent(TraceRmi.ObjDesc value)`
  `.ghidra.rmi.trace.ObjDesc parent = 1;`
  `TraceRmi.ValDesc.Builder`
  `mergeSpan(TraceRmi.Span value)`
  `.ghidra.rmi.trace.Span span = 2;`
  `TraceRmi.ValDesc.Builder`
  `mergeValue(TraceRmi.Value value)`
  `.ghidra.rmi.trace.Value value = 4;`
  `TraceRmi.ValDesc.Builder`
  `setKey(String value)`
  `string key = 3;`
  `TraceRmi.ValDesc.Builder`
  `setKeyBytes(com.google.protobuf.ByteString value)`
  `string key = 3;`
  `TraceRmi.ValDesc.Builder`
  `setParent(TraceRmi.ObjDesc value)`
  `.ghidra.rmi.trace.ObjDesc parent = 1;`
  `TraceRmi.ValDesc.Builder`
  `setParent(TraceRmi.ObjDesc.Builder builderForValue)`
  `.ghidra.rmi.trace.ObjDesc parent = 1;`
  `TraceRmi.ValDesc.Builder`
  `setSpan(TraceRmi.Span value)`
  `.ghidra.rmi.trace.Span span = 2;`
  `TraceRmi.ValDesc.Builder`
  `setSpan(TraceRmi.Span.Builder builderForValue)`
  `.ghidra.rmi.trace.Span span = 2;`
  `TraceRmi.ValDesc.Builder`
  `setValue(TraceRmi.Value value)`
  `.ghidra.rmi.trace.Value value = 4;`
  `TraceRmi.ValDesc.Builder`
  `setValue(TraceRmi.Value.Builder builderForValue)`
  `.ghidra.rmi.trace.Value value = 4;`

  ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

  `addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownFields, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

  ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

  `findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

  ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

  `addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.google.protobuf.Message.Builder

  `mergeDelimitedFrom, mergeDelimitedFrom`

  ### Methods inherited from interface com.google.protobuf.MessageLite.Builder

  `mergeFrom`

  ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

  - ### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()
    Specified by:
      `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<TraceRmi.ValDesc.Builder>`

  - ### clear

    public TraceRmi.ValDesc.Builder clear()
    Specified by:
      `clear` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `clear` in interface `com.google.protobuf.MessageLite.Builder`
    Overrides:
      `clear` in class `com.google.protobuf.GeneratedMessage.Builder<TraceRmi.ValDesc.Builder>`

  - ### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()
    Specified by:
      `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
    Overrides:
      `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<TraceRmi.ValDesc.Builder>`

  - ### getDefaultInstanceForType

    public TraceRmi.ValDesc getDefaultInstanceForType()
    Specified by:
      `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
    Specified by:
      `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

  - ### build

    public TraceRmi.ValDesc build()
    Specified by:
      `build` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `build` in interface `com.google.protobuf.MessageLite.Builder`

  - ### buildPartial

    public TraceRmi.ValDesc buildPartial()
    Specified by:
      `buildPartial` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

  - ### mergeFrom

    public TraceRmi.ValDesc.Builder mergeFrom(com.google.protobuf.Message other)
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<TraceRmi.ValDesc.Builder>`

  - ### mergeFrom

    public TraceRmi.ValDesc.Builder mergeFrom(TraceRmi.ValDesc other)

  - ### isInitialized

    public final boolean isInitialized()
    Specified by:
      `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
    Overrides:
      `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<TraceRmi.ValDesc.Builder>`

  - ### mergeFrom

    public TraceRmi.ValDesc.Builder mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
    Overrides:
      `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<TraceRmi.ValDesc.Builder>`
    Throws:
      `IOException`

  - ### hasParent

    public boolean hasParent()
    `.ghidra.rmi.trace.ObjDesc parent = 1;`
    Specified by:
      `hasParent` in interface `TraceRmi.ValDescOrBuilder`
    Returns:
      Whether the parent field is set.

  - ### getParent

    public TraceRmi.ObjDesc getParent()
    `.ghidra.rmi.trace.ObjDesc parent = 1;`
    Specified by:
      `getParent` in interface `TraceRmi.ValDescOrBuilder`
    Returns:
      The parent.

  - ### setParent

    public TraceRmi.ValDesc.Builder setParent(TraceRmi.ObjDesc value)
    `.ghidra.rmi.trace.ObjDesc parent = 1;`

  - ### setParent

    public TraceRmi.ValDesc.Builder setParent(TraceRmi.ObjDesc.Builder builderForValue)
    `.ghidra.rmi.trace.ObjDesc parent = 1;`

  - ### mergeParent

    public TraceRmi.ValDesc.Builder mergeParent(TraceRmi.ObjDesc value)
    `.ghidra.rmi.trace.ObjDesc parent = 1;`

  - ### clearParent

    public TraceRmi.ValDesc.Builder clearParent()
    `.ghidra.rmi.trace.ObjDesc parent = 1;`

  - ### getParentBuilder

    public TraceRmi.ObjDesc.Builder getParentBuilder()
    `.ghidra.rmi.trace.ObjDesc parent = 1;`

  - ### getParentOrBuilder

    public TraceRmi.ObjDescOrBuilder getParentOrBuilder()
    `.ghidra.rmi.trace.ObjDesc parent = 1;`
    Specified by:
      `getParentOrBuilder` in interface `TraceRmi.ValDescOrBuilder`

  - ### hasSpan

    public boolean hasSpan()
    `.ghidra.rmi.trace.Span span = 2;`
    Specified by:
      `hasSpan` in interface `TraceRmi.ValDescOrBuilder`
    Returns:
      Whether the span field is set.

  - ### getSpan

    public TraceRmi.Span getSpan()
    `.ghidra.rmi.trace.Span span = 2;`
    Specified by:
      `getSpan` in interface `TraceRmi.ValDescOrBuilder`
    Returns:
      The span.

  - ### setSpan

    public TraceRmi.ValDesc.Builder setSpan(TraceRmi.Span value)
    `.ghidra.rmi.trace.Span span = 2;`

  - ### setSpan

    public TraceRmi.ValDesc.Builder setSpan(TraceRmi.Span.Builder builderForValue)
    `.ghidra.rmi.trace.Span span = 2;`

  - ### mergeSpan

    public TraceRmi.ValDesc.Builder mergeSpan(TraceRmi.Span value)
    `.ghidra.rmi.trace.Span span = 2;`

  - ### clearSpan

    public TraceRmi.ValDesc.Builder clearSpan()
    `.ghidra.rmi.trace.Span span = 2;`

  - ### getSpanBuilder

    public TraceRmi.Span.Builder getSpanBuilder()
    `.ghidra.rmi.trace.Span span = 2;`

  - ### getSpanOrBuilder

    public TraceRmi.SpanOrBuilder getSpanOrBuilder()
    `.ghidra.rmi.trace.Span span = 2;`
    Specified by:
      `getSpanOrBuilder` in interface `TraceRmi.ValDescOrBuilder`

  - ### getKey

    public String getKey()
    `string key = 3;`
    Specified by:
      `getKey` in interface `TraceRmi.ValDescOrBuilder`
    Returns:
      The key.

  - ### getKeyBytes

    public com.google.protobuf.ByteString getKeyBytes()
    `string key = 3;`
    Specified by:
      `getKeyBytes` in interface `TraceRmi.ValDescOrBuilder`
    Returns:
      The bytes for key.

  - ### setKey

    public TraceRmi.ValDesc.Builder setKey(String value)
    `string key = 3;`
    Parameters:
      `value` - The key to set.
    Returns:
      This builder for chaining.

  - ### clearKey

    public TraceRmi.ValDesc.Builder clearKey()
    `string key = 3;`
    Returns:
      This builder for chaining.

  - ### setKeyBytes

    public TraceRmi.ValDesc.Builder setKeyBytes(com.google.protobuf.ByteString value)
    `string key = 3;`
    Parameters:
      `value` - The bytes for key to set.
    Returns:
      This builder for chaining.

  - ### hasValue

    public boolean hasValue()
    `.ghidra.rmi.trace.Value value = 4;`
    Specified by:
      `hasValue` in interface `TraceRmi.ValDescOrBuilder`
    Returns:
      Whether the value field is set.

  - ### getValue

    public TraceRmi.Value getValue()
    `.ghidra.rmi.trace.Value value = 4;`
    Specified by:
      `getValue` in interface `TraceRmi.ValDescOrBuilder`
    Returns:
      The value.

  - ### setValue

    public TraceRmi.ValDesc.Builder setValue(TraceRmi.Value value)
    `.ghidra.rmi.trace.Value value = 4;`

  - ### setValue

    public TraceRmi.ValDesc.Builder setValue(TraceRmi.Value.Builder builderForValue)
    `.ghidra.rmi.trace.Value value = 4;`

  - ### mergeValue

    public TraceRmi.ValDesc.Builder mergeValue(TraceRmi.Value value)
    `.ghidra.rmi.trace.Value value = 4;`

  - ### clearValue

    public TraceRmi.ValDesc.Builder clearValue()
    `.ghidra.rmi.trace.Value value = 4;`

  - ### getValueBuilder

    public TraceRmi.Value.Builder getValueBuilder()
    `.ghidra.rmi.trace.Value value = 4;`

  - ### getValueOrBuilder

    public TraceRmi.ValueOrBuilder getValueOrBuilder()
    `.ghidra.rmi.trace.Value value = 4;`
    Specified by:
      `getValueOrBuilder` in interface `TraceRmi.ValDescOrBuilder`